<div class="common-profile-header">{{'labelDashboard' | translate: lang}}</div>
<div class="container" *ngIf="dashboardDetails">
  <div class="row mt-3 mb-3 dashboard">
    <div class="col-md-4">
      <div class="dash-box">
        <div class="dash-box-hedaer">{{'labelTotalPurchase' | translate: lang}}</div>
        <div class="dash-box-value">{{dashboardDetails.totalPurchase ? (dashboardDetails.totalPurchase | customCurrencyFormat) : (0 | customCurrencyFormat)}}</div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="dash-box">
        <div class="dash-box-hedaer">{{'labelLast7Days' | translate: lang}}</div>
        <div class="dash-box-value">{{dashboardDetails.lastSevenDayTotal ? (dashboardDetails.lastSevenDayTotal | customCurrencyFormat) : (0 | customCurrencyFormat)}}</div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="dash-box">
        <div class="dash-box-hedaer">{{'labelLast30Days' | translate: lang}}</div>
        <div class="dash-box-value">{{dashboardDetails.customerLastMonthPurchase ? (dashboardDetails.customerLastMonthPurchase | customCurrencyFormat) : (0 |  customCurrencyFormat)}}</div>
      </div>
    </div>
  </div>
  <div class="row mt-3 mb-3 dashboard">
    <div class="col-md-4">
      <div class="dash-box">
        <div class="dash-box-hedaer">{{'labelWishlistProducts' | translate: lang}}</div>
        <div class="dash-box-value">{{dashboardDetails.wishlistProduct}}</div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="dash-box">
        <div class="dash-box-hedaer">{{'labelUserSince' | translate: lang}}</div>
        <div class="dash-box-value">{{dashboardDetails.customerSince | customDate}}</div>
      </div>
    </div>
    <div class="col-md-4">
      <div class="dash-box">
        <div class="dash-box-hedaer">{{'labelLastLogin' | translate: lang}}</div>
        <div class="dash-box-value">{{dashboardDetails.lastLogin | customDate: 'fullTime'}}</div>
      </div>
    </div>
  </div>
</div>